{ "meta": { "warnings": [ "Field not used by target system" ], "pagination": { "total": 125, "perPage": 50, "currentPage": 1, "totalPages": 3 }, "partialErrors": [ { "code": "FILE_UPLOAD_FAILED", "message": "Attachment invoice.pdf could not be uploaded to the target system." } ] }, "data": { "taskId": "02cc5849-b23c-48fe-8a9b-96f74bfc9571" }}
Field support per integration
DATEV Unternehmen Online
This endpoint is asynchronous. To check the status of the request, use the GET asyncTask endpoint.
For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Supported request parameters:
File
required
The name of the uploaded file must include the file extension, for example invoice.pdf.
The file name must not exceed 255 characters in length.
string
The documentId field can be used to uniquely identify a document. If provided, it must be a valid GUID.
string
required
The documentType field must match one of the document types returned by the GET Document Types endpoint.
string
DATEV Rechnungswesen
This endpoint is asynchronous. To check the status of the request, use the GET asyncTask endpoint.
For more info about asynchronous tasks visit the Asynchronous Task section.
If you’re not using the Interactive Authentication Flow, make sure the query parameter companyId is accurately populated with the appropriate company ID. You can obtain this value by using the GET Companies endpoint available under the Authentication section.
Supported request parameters:
File
required
The name of the uploaded file must include the file extension, for example invoice.pdf.
The file name must not exceed 255 characters in length.
string
required
string
The documentId field can be used to uniquely identify a document. If provided, it must be a valid GUID.
string
required
The documentType field must match one of the document types returned by the GET Document Types endpoint.
string
required
The integrationSource field should be set to the name of your application integrating with DATEV.
string
string
Headers
X-API-KEY
string
required
API key
X-ACCOUNT-KEY
string
required
Account key
Query Parameters
companyId
string
Body
multipart/form-data
file
file
required
documentType
string
required
Example:
"Rechnungsausgang"
documentDate
string
Example:
"2025-03-26T08:25:54.060Z"
documentId
string
Example:
"b5e624e5-fb9e-4836-a443-87a3820f5b48"
integrationSource
string
Example:
"3rd party app"
note
string
Example:
"note for the document"
folderName
string
Example:
"Invoice"
Response
202 - application/json
meta
object
Show child attributes
data
object
Show child attributes
Last modified on September 15, 2026
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.schema.json","name":"maesn","colors":{"primary":"#27A691","light":"#5DCFBC","dark":"#004253"},"logo":{"light":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-light.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=ba936398d19fd8fe8fb10d7b41c80170","dark":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-dark.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=a831914dd5d3b84e5886f319d696df75","href":"https://docs.maesn.com"},"favicon":"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-favicon.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=0467d15b5d0ab2458326fa937d685118","navbar":{"primary":{"type":"button","label":"Get an API key","href":"https://www.maesn.com/contact/"}},"footer":{"socials":{"website":"https://www.maesn.com","github":"https://github.com/maesndev","linkedin":"https://www.linkedin.com/company/maesn-integration","youtube":"https://www.youtube.com/@Maesn_One-API"}},"seo":{"metatags":{"author":"Lennart Svensson","canonical":"https://docs.maesn.com"},"indexing":"all"},"integrations":{"gtm":{"tagId":"GTM-NRQ25WDW"}},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"maesn","hasAudioNarration":false,"actualSubdomain":"maesn","customDomains":["docs.maesn.com"],"gitSource":{"type":"github","owner":"maesndev","repo":"docs-2","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af7306336896a78e7f60b18","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API reference","count":151},{"language":"default","tag":"Accounting","count":134},{"language":"default","tag":"Integrations","count":32},{"language":"default","tag":"Get started","count":17},{"language":"default","tag":"Use cases","count":13},{"language":"default","tag":"Journal Entries","count":11},{"language":"default","tag":"Contacts","count":9},{"language":"default","tag":"Booking Proposals","count":8},{"language":"default","tag":"Bills","count":6},{"language":"default","tag":"Items","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".integration-table table{width:100%;table-layout:fixed}.integration-table table th:first-child{width:40%}.integration-table table th:not(:first-child){width:15%;text-align:center}.integration-table table td:not(:first-child){text-align:center;padding:8px 4px}"}],"page":{"pagePath":"api-reference/accounting-endpoints/files/upload-file-async","slug":"/api-reference/accounting-endpoints/files/upload-file-async","pageMetadata":{"openapi":"post /accounting/files/async","title":null,"description":null,"href":"/api-reference/accounting-endpoints/files/upload-file-async"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Heading,Note,ResponseField}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`field-support-per-integration`,children:`Field support per integration`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`DATEV Unternehmen Online`,icon:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=5589154dcfa064e1d967a067e488896a`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/datev.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=280\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=319de3efc8c2dab5a815d0783ce59114 280w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=560\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=019de0ca0988ae6f5d9b82726b43c340 560w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=840\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7c441c862900642150fe5cd0a9710f0b 840w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=0555657de5a013a90e7c1f7a93fdff4a 1100w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=988016562e8fe1396468303625e27332 1650w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7bbf44b2ddbb45e49392c1b5b846c7b3 2500w`,id:`datev-unternehmen-online`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.\nFor more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})}),_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameter `,_jsx(_components.code,{children:`companyId`}),` is accurately populated with the appropriate company ID. You can obtain this value by using the `,_jsx(_components.code,{children:`GET Companies`}),` endpoint available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`file`,type:`File`,required:true,id:`param-file`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The name of the uploaded file must include the file extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})}),_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})}),_jsx(ResponseField,{name:`documentId`,type:`string`,id:`param-document-id`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`documentId`}),` field can be used to uniquely identify a document. If provided, it must be a valid GUID.`]})}),_jsx(ResponseField,{name:`documentType`,type:`string`,required:true,id:`param-document-type`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`documentType`}),` field must match one of the document types returned by the `,_jsx(_components.code,{children:`GET Document Types`}),` endpoint.`]})}),_jsx(ResponseField,{name:`note`,type:`string`,id:`param-note`})]}),_jsxs(Accordion,{title:`DATEV Rechnungswesen`,icon:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=5589154dcfa064e1d967a067e488896a`,\"data-og-width\":`24`,width:`24`,\"data-og-height\":`24`,height:`24`,\"data-path\":`logo/datev.svg`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=280\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=319de3efc8c2dab5a815d0783ce59114 280w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=560\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=019de0ca0988ae6f5d9b82726b43c340 560w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=840\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7c441c862900642150fe5cd0a9710f0b 840w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1100\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=0555657de5a013a90e7c1f7a93fdff4a 1100w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=1650\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=988016562e8fe1396468303625e27332 1650w, https://mintcdn.com/maesn/NQwZPkomn6wLid0x/logo/datev.svg?w=2500\u0026fit=max\u0026auto=format\u0026n=NQwZPkomn6wLid0x\u0026q=85\u0026s=7bbf44b2ddbb45e49392c1b5b846c7b3 2500w`,id:`datev-rechnungswesen`,children:[_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint is asynchronous. To check the status of the request, use the `,_jsx(_components.code,{children:`GET asyncTask`}),` endpoint.\nFor more info about asynchronous tasks visit the `,_jsx(_components.a,{href:`/async-task`,children:_jsx(_components.code,{children:`Asynchronous Task`})}),` section.`]})}),_jsx(Note,{children:_jsxs(_components.p,{children:[`If you’re not using the `,_jsx(_components.a,{href:`/authentication#interactive-authentication-flow`,children:`Interactive Authentication Flow`}),`, make sure the query parameter `,_jsx(_components.code,{children:`companyId`}),` is accurately populated with the appropriate company ID. You can obtain this value by using the `,_jsx(_components.code,{children:`GET Companies`}),` endpoint available under the Authentication section.`]})}),_jsx(_components.p,{children:`Supported request parameters:`}),_jsx(ResponseField,{name:`file`,type:`File`,required:true,id:`param-file-1`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The name of the uploaded file must include the file extension, for example `,_jsx(_components.code,{children:`invoice.pdf`}),`.`]})}),_jsx(Note,{children:_jsx(_components.p,{children:`The file name must not exceed 255 characters in length.`})}),_jsx(ResponseField,{name:`documentDate`,type:`string`,required:true,id:`param-document-date`}),_jsx(ResponseField,{name:`documentId`,type:`string`,id:`param-document-id-1`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`documentId`}),` field can be used to uniquely identify a document. If provided, it must be a valid GUID.`]})}),_jsx(ResponseField,{name:`documentType`,type:`string`,required:true,id:`param-document-type-1`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`documentType`}),` field must match one of the document types returned by the `,_jsx(_components.code,{children:`GET Document Types`}),` endpoint.`]})}),_jsx(ResponseField,{name:`integrationSource`,type:`string`,required:true,id:`param-integration-source`}),_jsx(Note,{children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`integrationSource`}),` field should be set to the name of your application integrating with DATEV.`]})}),_jsx(ResponseField,{name:`folderName`,type:`string`,id:`param-folder-name`}),_jsx(ResponseField,{name:`note`,type:`string`,id:`param-note-1`})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /accounting/files/async","title":null,"description":null,"href":"/api-reference/accounting-endpoints/files/upload-file-async"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Field support per integration","slug":"field-support-per-integration","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/maesn/b9f4cde31e61c54c/hubspot.js"],"openApiReferenceData":{"operation":{"operationId":"uploadFileAsync","parameters":["a17578cd-61b1-4196-8e3c-c8ecdee128e3","37206b03-6a6c-4aae-909d-b55a5996f869","bf13b2be-9fad-4cba-8ffb-8deb069be330"],"requestBody":"9e2e17c1-23fd-4bcb-aa64-b7343d34f7d1","responses":{"202":"1b2f554a-a33e-4215-8a69-cda3681cd851"},"tags":["accounting"],"method":"post","type":"path","servers":["69bbbe3c-bdd4-46da-ae4a-5b5a7194af64"],"security":[],"path":"/accounting/files/async","baseUrlOptions":["https://api.maesn.dev"],"title":"","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"a17578cd-61b1-4196-8e3c-c8ecdee128e3":{"name":"X-API-KEY","description":"API key","in":"header","schema":{"type":"string","isRequired":true,"description":"API key","uniqueKey":"","typeLabel":"string"},"required":true},"37206b03-6a6c-4aae-909d-b55a5996f869":{"name":"X-ACCOUNT-KEY","description":"Account key","in":"header","schema":{"type":"string","isRequired":true,"description":"Account key","uniqueKey":"","typeLabel":"string"},"required":true},"bf13b2be-9fad-4cba-8ffb-8deb069be330":{"name":"companyId","required":false,"in":"query","schema":{"type":"string","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary","isRequired":true,"uniqueKey":"file","typeLabel":"file"},"documentType":{"type":"string","example":"Rechnungsausgang","isRequired":true,"uniqueKey":"documentType","typeLabel":"string"},"documentDate":{"type":"string","example":"2025-03-26T08:25:54.060Z","uniqueKey":"documentDate","typeLabel":"string"},"documentId":{"type":"string","example":"b5e624e5-fb9e-4836-a443-87a3820f5b48","uniqueKey":"documentId","typeLabel":"string"},"integrationSource":{"type":"string","example":"3rd party app","uniqueKey":"integrationSource","typeLabel":"string"},"note":{"type":"string","example":"note for the document","uniqueKey":"note","typeLabel":"string"},"folderName":{"type":"string","example":"Invoice","uniqueKey":"folderName","typeLabel":"string"}},"required":["file","documentType"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"file":"\u003cstring>","documentType":"Rechnungsausgang","documentDate":"2025-03-26T08:25:54.060Z","documentId":"b5e624e5-fb9e-4836-a443-87a3820f5b48","integrationSource":"3rd party app","note":"note for the document","folderName":"Invoice"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"1b2f554a-a33e-4215-8a69-cda3681cd851":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"type":"object","properties":{"warnings":{"type":"array","items":{"type":"string","example":"Field not used by target system","uniqueKey":"meta.warnings.items.[INDEX]","typeLabel":"string"},"uniqueKey":"meta.warnings","typeLabel":"string[]"},"pagination":{"type":"object","properties":{"total":{"type":"number","example":125,"uniqueKey":"meta.pagination.total","typeLabel":"number"},"perPage":{"type":"number","example":50,"uniqueKey":"meta.pagination.perPage","typeLabel":"number"},"currentPage":{"type":"number","example":1,"uniqueKey":"meta.pagination.currentPage","typeLabel":"number"},"totalPages":{"type":"number","example":3,"uniqueKey":"meta.pagination.totalPages","typeLabel":"number"}},"uniqueKey":"meta.pagination","typeLabel":"object"},"partialErrors":{"type":"array","description":"Secondary operations that failed after the main operation succeeded. See [Partial Errors](/guides/partial-errors).","items":{"type":"object","properties":{"code":{"type":"string","example":"FILE_UPLOAD_FAILED","uniqueKey":"meta.partialErrors.items.[INDEX].code","typeLabel":"string"},"message":{"type":"string","example":"Attachment invoice.pdf could not be uploaded to the target system.","uniqueKey":"meta.partialErrors.items.[INDEX].message","typeLabel":"string"}},"uniqueKey":"meta.partialErrors.items.[INDEX]","typeLabel":"object"},"uniqueKey":"meta.partialErrors","typeLabel":"object[]"}},"uniqueKey":"meta","typeLabel":"object"},"data":{"type":"object","properties":{"taskId":{"type":"string","example":"02cc5849-b23c-48fe-8a9b-96f74bfc9571","uniqueKey":"data.taskId","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"meta":{"warnings":["Field not used by target system"],"pagination":{"total":125,"perPage":50,"currentPage":1,"totalPages":3},"partialErrors":[{"code":"FILE_UPLOAD_FAILED","message":"Attachment invoice.pdf could not be uploaded to the target system."}]},"data":{"taskId":"02cc5849-b23c-48fe-8a9b-96f74bfc9571"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{"69bbbe3c-bdd4-46da-ae4a-5b5a7194af64":{"url":"https://api.maesn.dev"}}},"originalFileLocation":"openapi.json"},"subdomain":"maesn","siteName":"maesn","title":"Upload file async - maesn","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T09:05:26.487Z","gitLastModified":"2026-09-15T10:06:11.000Z","originalFileLocation":"api-reference/accounting-endpoints/files/upload-file-async.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"maesn\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Upload file async - maesn\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"maesn\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://maesn.mintlify.site/_mintlify/api/og/v2?division=Files\u0026amp;title=Upload+file+async\u0026amp;theme=e21db2549d54bc782f15b982\u0026amp;signature=58fa53d77ba8fc94c3fef3a4e36391ae80e781b6a3dcd424a46255aeece1f09b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Upload file async - maesn\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://maesn.mintlify.site/_mintlify/api/og/v2?division=Files\u0026amp;title=Upload+file+async\u0026amp;theme=e21db2549d54bc782f15b982\u0026amp;signature=58fa53d77ba8fc94c3fef3a4e36391ae80e781b6a3dcd424a46255aeece1f09b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/maesn/WJYcicI1ZlNx491k/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"maesn\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#27A691\">\u003cmeta data-mint-head name=\"author\" content=\"Lennart Svensson\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/accounting-endpoints/files/upload-file-async.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.maesn.com/#organization\",\"name\":\"maesn\",\"url\":\"https://docs.maesn.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/maesn-light.svg?fit=max\u0026auto=format\u0026n=gCd41Ws3USFubam4\u0026q=85\u0026s=ba936398d19fd8fe8fb10d7b41c80170\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.maesn.com#website\",\"name\":\"maesn\",\"url\":\"https://docs.maesn.com\",\"publisher\":{\"@id\":\"https://docs.maesn.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async#webpage\",\"url\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async\",\"name\":\"Upload file async\",\"dateModified\":\"2026-09-15T10:06:11.000Z\",\"isPartOf\":{\"@id\":\"https://docs.maesn.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API reference\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/accounting-overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Accounting\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/accounting-overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Files\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Upload file async\",\"item\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async#apireference\",\"headline\":\"Upload file async\",\"name\":\"Upload file async\",\"url\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async\",\"mainEntityOfPage\":{\"@id\":\"https://docs.maesn.com/api-reference/accounting-endpoints/files/upload-file-async#webpage\"},\"dateModified\":\"2026-09-15T10:06:11.000Z\",\"publisher\":{\"@id\":\"https://docs.maesn.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.maesn.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"maesn\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"maesn\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/accounting-endpoints/files/upload-file-async.md","siteName":"maesn","nav":{"global":null,"groups":[{"group":"Get started","pages":[{"title":"Introduction","href":"/introduction"},{"title":"Explore our integrations","mode":"wide","href":"/integrations-overview"},{"title":"Authentication","href":"/authentication"},{"title":"Rate limiting","href":"/rate-limits"},{"title":"Filtering, Ordering, \u0026 Pagination","href":"/filtering-ordering-pagination"},{"title":"Standardized Data","href":"/standardization"},{"title":"Raw Data","href":"/raw-data"},{"title":"Passthrough","href":"/pass-through"},{"title":"Asynchronous Task","href":"/async-task"},{"title":"Idempotency","tag":"Beta","href":"/idempotency"},{"title":"Sandboxes","href":"/sandboxes"},{"title":"TypeScript SDK","href":"/sdk"},{"title":"OpenAPI specs","href":"/openapi-specs"},{"title":"MCP Server","href":"/mcp-server"},{"title":"Webhooks","href":"/webhooks"},{"title":"Welcome to maesn!","mode":"wide","sidebarTitle":"About maesn","href":"/what-is-maesn"},{"title":"Changelog","href":"/changelog"}]},{"group":"Guides","pages":[{"title":"Quick start","href":"/guides/quick-start"},{"title":"maesn Connect","href":"/guides/maesn-connect"},{"title":"Test maesn's Unified API with Postman","sidebarTitle":"Postman","href":"/guides/postman"},{"title":"Keeping data fresh","href":"/guides/keep-data-fresh"},{"title":"Error handling","mode":"wide","href":"/guides/error-handling"},{"title":"Partial errors","href":"/guides/partial-errors"}]},{"group":"Integrations","pages":[{"title":"Endpoint coverage","mode":"wide","sidebarTitle":"Overview","href":"/integrations"},{"title":"AbaConnect","sidebarTitle":"AbaConnect","href":"/integrations/abaconnect"},{"title":"Abacus","sidebarTitle":"Abacus","href":"/integrations/abacus"},{"title":"bexio","sidebarTitle":"bexio","href":"/integrations/bexio"},{"title":"BuchhaltungsButler","sidebarTitle":"BuchhaltungsButler","href":"/integrations/buchhaltungsbutler"},{"title":"DATEV Rechnungswesen","sidebarTitle":"DATEV Rechnungswesen","href":"/integrations/datev-rechnungswesen"},{"title":"DATEV Unternehmen Online","sidebarTitle":"DATEV Unternehmen Online","href":"/integrations/datev-unternehmen-online"},{"title":"Dinero","sidebarTitle":"Dinero","href":"/integrations/dinero"},{"title":"Exact Online","sidebarTitle":"Exact Online","href":"/integrations/exact-online"},{"title":"fortnox","sidebarTitle":"fortnox","href":"/integrations/fortnox"},{"title":"FreeAgent","sidebarTitle":"FreeAgent","href":"/integrations/freeagent"},{"title":"FreshBooks","sidebarTitle":"FreshBooks","href":"/integrations/freshbooks"},{"title":"Holded","sidebarTitle":"Holded","href":"/integrations/holded"},{"title":"Lexware Office","sidebarTitle":"Lexware Office","href":"/integrations/lexware-office"},{"title":"Microsoft Business Central","sidebarTitle":"Microsoft Business Central","href":"/integrations/microsoft-dynamics-365-business-central"},{"title":"Moneybird","sidebarTitle":"Moneybird","href":"/integrations/moneybird"},{"title":"Odoo","sidebarTitle":"Odoo","href":"/integrations/odoo"},{"title":"Pennylane","sidebarTitle":"Pennylane","href":"/integrations/pennylane"},{"title":"Procountor","sidebarTitle":"Procountor","href":"/integrations/procountor"},{"title":"Qonto","sidebarTitle":"Qonto","href":"/integrations/qonto"},{"title":"QuickBooks","sidebarTitle":"QuickBooks","href":"/integrations/quickbooks"},{"title":"Sage Accounting","sidebarTitle":"Sage Accounting","href":"/integrations/sage-accounting"},{"title":"Sage Active","sidebarTitle":"Sage Active","href":"/integrations/sage-active"},{"title":"sevdesk","sidebarTitle":"sevdesk","href":"/integrations/sevdesk"},{"title":"Snelstart","sidebarTitle":"Snelstart","href":"/integrations/snelstart"},{"title":"Twinfield","sidebarTitle":"Twinfield","href":"/integrations/twinfield"},{"title":"Tripletex","sidebarTitle":"Tripletex","href":"/integrations/tripletex"},{"title":"Visma eAccounting (Spiris)","sidebarTitle":"Visma eAcccounting","href":"/integrations/visma-eaccounting"},{"title":"Visma e-conomic","sidebarTitle":"Visma e-conomic","href":"/integrations/visma-e-conomic"},{"title":"weclapp","sidebarTitle":"weclapp","href":"/integrations/weclapp"},{"title":"Xentral","sidebarTitle":"Xentral","href":"/integrations/xentral"},{"title":"Xero","sidebarTitle":"Xero","href":"/integrations/xero"}]},{"group":"Use cases","pages":[{"title":"Explore our use cases","href":"/use-cases"},{"title":"Capture invoices \u0026 bills","href":"/use-cases/capture-invoices"},{"title":"Debt management","href":"/use-cases/debt-management"},{"title":"Fetch invoices","href":"/use-cases/fetch-invoices"},{"title":"Fetch bills","href":"/use-cases/fetch-bills"},{"title":"Synchronize contacts","href":"/use-cases/sync-contacts"},{"title":"Synchronize expenses","href":"/use-cases/sync-expenses"},{"title":"Synchronize items","href":"/use-cases/sync-items"},{"title":"Create invoices","href":"/use-cases/create-invoices"},{"title":"Accounts payable","href":"/use-cases/accounts-payable"},{"title":"Accounts receivable","href":"/use-cases/accounts-receivable"},{"title":"Create bookings","href":"/use-cases/create-bookings"},{"title":"DATEV use cases","href":"/use-cases/datev-overview"}]},{"group":"API reference","pages":[{"group":"Accounting","pages":[{"title":"Accounting API","sidebarTitle":"Overview","href":"/api-reference/accounting-endpoints/accounting-overview"},{"group":"Accounts","pages":[{"openapi":"GET /accounting/accounts","title":null,"href":"/api-reference/accounting-endpoints/accounts/get-accounts"},{"openapi":"get /accounting/accounts/{accountId}","title":null,"href":"/api-reference/accounting-endpoints/accounts/get-account"},{"openapi":"post /accounting/accounts","title":null,"href":"/api-reference/accounting-endpoints/accounts/create-account"}]},{"group":"Async Task","pages":[{"openapi":"get /accounting/asyncTask/{taskId}","title":null,"href":"/api-reference/accounting-endpoints/asynctask/get-async-task-info"}]},{"group":"Bank Accounts","pages":[{"openapi":"GET /accounting/bankAccounts","title":null,"href":"/api-reference/accounting-endpoints/bankaccounts/get-bank-accounts"},{"openapi":"GET /accounting/bankAccounts/{bankAccountId}","title":null,"href":"/api-reference/accounting-endpoints/bankaccounts/get-bank-account"},{"openapi":"post /accounting/bankAccounts","title":null,"href":"/api-reference/accounting-endpoints/bankaccounts/create-bank-account"}]},{"group":"Bills","pages":[{"openapi":"get /accounting/bills","title":null,"href":"/api-reference/accounting-endpoints/bills/get-bills"},{"openapi":"get /accounting/bills/{billId}","title":null,"href":"/api-reference/accounting-endpoints/bills/get-bill"},{"openapi":"post /accounting/bills","title":null,"href":"/api-reference/accounting-endpoints/bills/create-bill"},{"openapi":"put /accounting/bills/{billId}","title":null,"href":"/api-reference/accounting-endpoints/bills/update-bill"},{"openapi":"delete /accounting/bills/{billId}","title":null,"href":"/api-reference/accounting-endpoints/bills/delete-bill"},{"openapi":"get /accounting/bills/{billId}/document","title":null,"href":"/api-reference/accounting-endpoints/bills/get-bill-document"}]},{"group":"Bill Lines","pages":[{"openapi":"get /accounting/bills/{billId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/billlineitems/get-bill-lines"},{"openapi":"post /accounting/bills/{billId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/billlineitems/create-bill-line"},{"openapi":"put /accounting/bills/{billId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/billlineitems/update-bill-line"}]},{"group":"Booking Proposals","pages":[{"openapi":"get /accounting/bookingProposals","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/get-booking-proposals"},{"openapi":"get /accounting/bookingProposals/{bookingProposalId}","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/get-booking-proposal"},{"openapi":"get /accounting/bookingProposals/{bookingProposalId}/document","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/get-booking-proposal-document"},{"openapi":"POST /accounting/bookingProposals","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal"},{"openapi":"POST /accounting/bookingProposals/async","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async"},{"openapi":"PUT /accounting/bookingProposals/{bookingProposalId}","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/update-booking-proposal"},{"openapi":"PUT /accounting/bookingProposals/{bookingProposalId}/async","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/update-booking-proposal-async"},{"openapi":"POST /accounting/bookingProposals/{bookingProposalId}/attachments","title":null,"href":"/api-reference/accounting-endpoints/bookingproposals/attachments/create-booking-proposal-attachment"}]},{"group":"Contacts","pages":[{"openapi":"get /accounting/contacts","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contacts"},{"openapi":"get /accounting/contacts/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contact"},{"openapi":"post /accounting/contacts","title":null,"href":"/api-reference/accounting-endpoints/contacts/create-contact"},{"openapi":"put /accounting/contacts/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/contacts/put-contact"},{"openapi":"patch /accounting/contacts/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/contacts/patch-contact"},{"openapi":"post /accounting/contacts/bulk","title":null,"href":"/api-reference/accounting-endpoints/contacts/create-contacts-bulk"},{"openapi":"get /accounting/contacts/async","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contacts-async"},{"openapi":"get /accounting/contacts/{contactId}/async","title":null,"href":"/api-reference/accounting-endpoints/contacts/get-contact-async"},{"openapi":"post /accounting/contacts/async","title":null,"href":"/api-reference/accounting-endpoints/contacts/create-contact-async"}]},{"group":"Credit Notes","pages":[{"openapi":"GET /accounting/creditNotes","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/get-credit-notes"},{"openapi":"GET /accounting/creditNotes/{creditNoteId}","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/get-credit-note"},{"openapi":"POST /accounting/creditNotes","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/create-credit-note"},{"openapi":"get /accounting/creditNotes/{creditNoteId}/documents","title":null,"href":"/api-reference/accounting-endpoints/creditnotes/get-credit-note-documents"}]},{"group":"Currencies","pages":[{"openapi":"get /accounting/currencies","title":null,"href":"/api-reference/accounting-endpoints/currencies/get-currencies"}]},{"group":"Customers","pages":[{"openapi":"get /accounting/customers","title":null,"href":"/api-reference/accounting-endpoints/customers/get-customers"},{"openapi":"get /accounting/customers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/customers/get-customer"},{"openapi":"post /accounting/customers","title":null,"href":"/api-reference/accounting-endpoints/customers/create-customer"},{"openapi":"put /accounting/customers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/customers/update-customer"},{"openapi":"patch /accounting/customers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/customers/patch-customer"}]},{"group":"Dimensions","pages":[{"openapi":"get /accounting/dimensions","title":null,"href":"/api-reference/accounting-endpoints/dimensions/get-dimensions"},{"openapi":"get /accounting/dimensions/{dimension}","title":null,"href":"/api-reference/accounting-endpoints/dimensions/get-dimensions-by-dimension"}]},{"group":"Expenses","pages":[{"openapi":"get /accounting/expenses","title":null,"href":"/api-reference/accounting-endpoints/expenses/get-expenses"},{"openapi":"get /accounting/expenses/{expenseId}","title":null,"href":"/api-reference/accounting-endpoints/expenses/get-expense"},{"openapi":"post /accounting/expenses","title":null,"href":"/api-reference/accounting-endpoints/expenses/create-expense"},{"openapi":"post /accounting/expenses/async","title":null,"href":"/api-reference/accounting-endpoints/expenses/create-expense-async"}]},{"group":"Files","pages":[{"openapi":"post /accounting/files","title":null,"description":null,"href":"/api-reference/accounting-endpoints/files/upload-file"},{"openapi":"post /accounting/files/async","title":null,"href":"/api-reference/accounting-endpoints/files/upload-file-async"},{"openapi":"get /accounting/files/documentTypes","title":null,"description":null,"href":"/api-reference/accounting-endpoints/files/get-document-types"},{"openapi":"get /accounting/files/documentExtensions","title":null,"href":"/api-reference/accounting-endpoints/files/get-document-extensions"}]},{"group":"Fiscal Years","pages":[{"openapi":"get /accounting/fiscalYears","title":null,"href":"/api-reference/accounting-endpoints/fiscalyears/get-fiscal-years"},{"openapi":"get /accounting/fiscalYears/{fiscalYearId}","title":null,"href":"/api-reference/accounting-endpoints/fiscalyears/get-fiscal-year"}]},{"group":"Goods Receipts","pages":[{"openapi":"GET /accounting/goodsReceipts","title":null,"href":"/api-reference/accounting-endpoints/goodsreceipts/get-goods-receipts"},{"openapi":"GET /accounting/goodsReceipts/{goodsReceiptId}","title":null,"href":"/api-reference/accounting-endpoints/goodsreceipts/get-goods-receipt"}]},{"group":"Goods Receipt Lines","pages":[{"openapi":"GET /accounting/goodsReceipts/{goodsReceiptId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/goodsreceiptlineitems/get-goods-receipt-lines"},{"openapi":"GET /accounting/goodsReceipts/{goodsReceiptId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/goodsreceiptlineitems/get-goods-receipt-line"}]},{"group":"Invoices","pages":[{"openapi":"get /accounting/invoices","title":null,"href":"/api-reference/accounting-endpoints/invoices/get-invoices"},{"openapi":"get /accounting/invoices/{invoiceId}","title":null,"href":"/api-reference/accounting-endpoints/invoices/get-invoice"},{"openapi":"post /accounting/invoices","title":null,"href":"/api-reference/accounting-endpoints/invoices/create-invoice"},{"openapi":"patch /accounting/invoices/{invoiceId}","title":null,"href":"/api-reference/accounting-endpoints/invoices/patch-invoice"},{"openapi":"get /accounting/invoices/{invoiceId}/document","title":null,"href":"/api-reference/accounting-endpoints/invoices/get-invoice-document"}]},{"group":"Invoice Lines","pages":[{"openapi":"get /accounting/invoices/{invoiceId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/get-invoice-lines"},{"openapi":"get /accounting/invoices/{invoiceId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/get-invoice-line"},{"openapi":"post /accounting/invoices/{invoiceId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/create-invoice-line"},{"openapi":"patch /accounting/invoices/{invoiceId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/invoicelineitems/patch-invoice-line"}]},{"group":"Items","pages":[{"openapi":"get /accounting/items","title":null,"href":"/api-reference/accounting-endpoints/items/get-items"},{"openapi":"get /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/get-item"},{"openapi":"post /accounting/items","title":null,"href":"/api-reference/accounting-endpoints/items/create-item"},{"openapi":"patch /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/patch-item"},{"openapi":"put /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/update-item"},{"openapi":"delete /accounting/items/{itemId}","title":null,"href":"/api-reference/accounting-endpoints/items/delete-item"}]},{"group":"Journals","pages":[{"openapi":"GET /accounting/journals","title":null,"href":"/api-reference/accounting-endpoints/journals/get-journals"}]},{"group":"Journal Entries","pages":[{"openapi":"GET /accounting/journalEntries","title":null,"href":"/api-reference/accounting-endpoints/journalentries/get-journal-entries"},{"openapi":"GET /accounting/journalEntries/async","title":null,"href":"/api-reference/accounting-endpoints/journalentries/get-journal-entries-async"},{"openapi":"GET /accounting/journalEntries/{journalEntryId}","title":null,"href":"/api-reference/accounting-endpoints/journalentries/get-journal-entry"},{"openapi":"POST /accounting/journalEntries","title":null,"href":"/api-reference/accounting-endpoints/journalentries/create-journal-entry"},{"openapi":"PUT /accounting/journalEntries/{journalEntryId}","title":null,"href":"/api-reference/accounting-endpoints/journalentries/update-journal-entry"},{"openapi":"PATCH /accounting/journalEntries/{journalEntryId}","title":null,"href":"/api-reference/accounting-endpoints/journalentries/patch-journal-entry"},{"openapi":"delete /accounting/journalEntries/{journalEntryId}","title":null,"href":"/api-reference/accounting-endpoints/journalentries/delete-journal-entry"},{"openapi":"POST /accounting/journalEntries/bulk","title":null,"href":"/api-reference/accounting-endpoints/journalentries/create-journal-entries-bulk"},{"openapi":"GET /accounting/journalEntries/{journalEntryId}/Attachments","title":null,"href":"/api-reference/accounting-endpoints/journalentries/attachments/get-journal-entry-attachments"},{"openapi":"GET /accounting/journalEntries/{journalEntryId}/Attachments/{attachmentId}","title":null,"href":"/api-reference/accounting-endpoints/journalentries/attachments/get-journal-entry-attachment"},{"openapi":"POST /accounting/journalEntries/{journalEntryId}/Attachments","title":null,"href":"/api-reference/accounting-endpoints/journalentries/attachments/create-journal-entry-attachment"}]},{"group":"Offers","pages":[{"openapi":"get /accounting/offers","title":null,"href":"/api-reference/accounting-endpoints/offers/get-offers"},{"openapi":"get /accounting/offers/{offerId}","title":null,"href":"/api-reference/accounting-endpoints/offers/get-offer"},{"openapi":"get /accounting/offers/{offerId}/document","title":null,"href":"/api-reference/accounting-endpoints/offers/get-offer-document"},{"openapi":"post /accounting/offers","title":null,"href":"/api-reference/accounting-endpoints/offers/create-offer"}]},{"group":"Offer Lines","pages":[{"openapi":"get /accounting/offers/{offerId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/offerlineitems/get-offer-lines"},{"openapi":"get /accounting/offers/{offerId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/offerlineitems/get-offer-line"}]},{"group":"Open Items","pages":[{"openapi":"get /accounting/openItems","title":null,"href":"/api-reference/accounting-endpoints/openitems/get-open-items"},{"openapi":"get /accounting/openItems/async","title":null,"href":"/api-reference/accounting-endpoints/openitems/get-open-items-async"}]},{"group":"Payments","pages":[{"openapi":"get /accounting/payments","title":null,"href":"/api-reference/accounting-endpoints/payments/get-payments"},{"openapi":"get /accounting/payments/{paymentId}","title":null,"href":"/api-reference/accounting-endpoints/payments/get-payment"},{"openapi":"post /accounting/payments","title":null,"href":"/api-reference/accounting-endpoints/payments/create-payment"},{"openapi":"post /accounting/payments/{paymentId}/book","title":null,"href":"/api-reference/accounting-endpoints/payments/book-payment"},{"openapi":"delete /accounting/payments/{paymentId}","title":null,"href":"/api-reference/accounting-endpoints/payments/delete-payment"}]},{"group":"Payment Terms","pages":[{"openapi":"get /accounting/paymentTerms","title":null,"href":"/api-reference/accounting-endpoints/paymentterms/get-payment-terms"},{"openapi":"get /accounting/paymentTerms/{paymentTermId}","title":null,"href":"/api-reference/accounting-endpoints/paymentterms/get-payment-term"},{"openapi":"post /accounting/paymentTerms","title":null,"href":"/api-reference/accounting-endpoints/paymentterms/create-payment-term"}]},{"group":"Projects","pages":[{"openapi":"GET /accounting/projects","title":null,"href":"/api-reference/accounting-endpoints/projects/get-projects"},{"openapi":"GET /accounting/projects/{projectId}","title":null,"href":"/api-reference/accounting-endpoints/projects/get-project"},{"openapi":"POST /accounting/projects","title":null,"href":"/api-reference/accounting-endpoints/projects/create-project"},{"openapi":"get /accounting/projects/async","title":null,"href":"/api-reference/accounting-endpoints/projects/get-projects-async"},{"openapi":"get /accounting/projects/{projectId}/async","title":null,"href":"/api-reference/accounting-endpoints/projects/get-project-async"},{"openapi":"post /accounting/projects/async","title":null,"href":"/api-reference/accounting-endpoints/projects/create-project-async"}]},{"group":"Purchase Orders","pages":[{"openapi":"GET /accounting/purchaseOrders","title":null,"href":"/api-reference/accounting-endpoints/purchaseorders/get-purchase-orders"},{"openapi":"GET /accounting/purchaseOrders/{purchaseOrderId}","title":null,"href":"/api-reference/accounting-endpoints/purchaseorders/get-purchase-order"}]},{"group":"Purchase Order Lines","pages":[{"openapi":"GET /accounting/purchaseOrders/{purchaseOrderId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/purchaseorderlineitems/get-purchase-order-lines"},{"openapi":"GET /accounting/purchaseOrders/{purchaseOrderId}/lineItems/{lineItemId}","title":null,"href":"/api-reference/accounting-endpoints/purchaseorderlineitems/get-purchase-order-line"}]},{"group":"Reason Codes","pages":[{"openapi":"get /accounting/reasonCodes","title":null,"href":"/api-reference/accounting-endpoints/reasoncodes/get-reason-codes"}]},{"group":"Sales Orders","pages":[{"openapi":"GET /accounting/salesOrders","title":null,"href":"/api-reference/accounting-endpoints/salesorders/get-sales-orders"},{"openapi":"GET /accounting/salesOrders/{salesOrderId}","title":null,"href":"/api-reference/accounting-endpoints/salesorders/get-sales-order"},{"openapi":"POST /accounting/salesOrders","title":null,"href":"/api-reference/accounting-endpoints/salesorders/create-sales-order"},{"openapi":"post /accounting/salesOrders/async","title":null,"href":"/api-reference/accounting-endpoints/salesorders/create-sales-order-async"}]},{"group":"Sales Order Lines","pages":[{"openapi":"GET /accounting/salesOrders/{salesOrderId}/lineItems","title":null,"href":"/api-reference/accounting-endpoints/salesorderlineitems/get-sales-order-lines"}]},{"group":"Suppliers","pages":[{"openapi":"get /accounting/suppliers","title":null,"href":"/api-reference/accounting-endpoints/suppliers/get-suppliers"},{"openapi":"get /accounting/suppliers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/suppliers/get-supplier"},{"openapi":"post /accounting/suppliers","title":null,"href":"/api-reference/accounting-endpoints/suppliers/create-supplier"},{"openapi":"put /accounting/suppliers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/suppliers/update-supplier"},{"openapi":"patch /accounting/suppliers/{contactId}","title":null,"href":"/api-reference/accounting-endpoints/suppliers/patch-supplier"}]},{"group":"Tax Rates","pages":[{"openapi":"get /accounting/taxRates","title":null,"href":"/api-reference/accounting-endpoints/taxrates/get-tax-rates"},{"openapi":"get /accounting/taxRates/{taxRateId}","title":null,"href":"/api-reference/accounting-endpoints/taxrates/get-tax-rate"}]},{"group":"Tolerance Limits","pages":[{"openapi":"get /accounting/toleranceLimits","title":null,"href":"/api-reference/accounting-endpoints/tolerancelimits/get-tolerance-limits"}]},{"group":"Transactions","pages":[{"openapi":"post /accounting/transactions","title":null,"href":"/api-reference/accounting-endpoints/transactions/create-transaction"}]},{"group":"Trial Balance","pages":[{"openapi":"get /accounting/trialBalance","title":null,"href":"/api-reference/accounting-endpoints/trialbalance/get-trial-balance"}]},{"group":"Units","pages":[{"openapi":"get /accounting/units","title":null,"href":"/api-reference/accounting-endpoints/units/get-units"}]},{"group":"Vendor Credits","pages":[{"openapi":"get /accounting/vendorCredits","title":null,"href":"/api-reference/accounting-endpoints/vendorcredits/get-vendor-credits"},{"openapi":"post /accounting/vendorCredits","title":null,"href":"/api-reference/accounting-endpoints/vendorcredits/create-vendor-credit"},{"openapi":"put /accounting/vendorCredits/{vendorCreditId}","title":null,"href":"/api-reference/accounting-endpoints/vendorcredits/update-vendor-credit"},{"openapi":"delete /accounting/vendorCredits/{vendorCreditId}","title":null,"href":"/api-reference/accounting-endpoints/vendorcredits/delete-vendor-credit"}]}]},{"group":"Authentication","pages":[{"openapi":"get /auth/{TARGET_SYSTEM}","title":null,"href":"/api-reference/auth/get-auth"},{"openapi":"post /auth/{TARGET_SYSTEM}","title":null,"href":"/api-reference/auth/post-auth"},{"openapi":"get /auth/environments","title":null,"href":"/api-reference/auth/get-environments"},{"openapi":"get /auth/companies","title":null,"href":"/api-reference/auth/get-companies"},{"openapi":"post /auth/connections/validate","title":null,"href":"/api-reference/auth/validate-connection"},{"openapi":"post /auth/accounts/{TARGET_SYSTEM}","title":null,"href":"/api-reference/auth/create-account"}]},{"group":"Tenant Management","pages":[{"openapi":"post /tenants/register-system","title":null,"href":"/api-reference/accounting-endpoints/tenants/register-end-system"},{"openapi":"post /tenants/add-callback-url","title":null,"href":"/api-reference/accounting-endpoints/tenants/add-callback-url"},{"openapi":"get /tenants/get-end-user-list","title":null,"href":"/api-reference/accounting-endpoints/tenants/get-end-user-list"},{"openapi":"delete /tenants/delete-end-user","title":null,"href":"/api-reference/accounting-endpoints/tenants/delete-end-user"},{"openapi":"post /tenants/signing-secret","title":null,"href":"/api-reference/accounting-endpoints/tenants/create-signing-secret"},{"openapi":"post /tenants/submission-page-style","title":"Set submission page style","href":"/api-reference/accounting-endpoints/tenants/set-submission-page-style"}]},{"group":"User","pages":[{"title":"User API","sidebarTitle":"Overview","href":"/api-reference/user-endpoints/user-overview"},{"group":"Users","pages":[{"openapi":"get /user/user-info","title":null,"href":"/api-reference/user-endpoints/user/user-info"}]}]},{"group":"Webhooks","pages":[{"openapi":"post /webhooks","title":null,"href":"/api-reference/webhooks/create-webhook"},{"openapi":"get /webhooks","title":null,"href":"/api-reference/webhooks/get-webhooks"},{"openapi":"delete /webhooks/{webhookId}","title":null,"href":"/api-reference/webhooks/delete-webhook"}]}]},{"group":"Knowledgebase","pages":[{"title":"DATEV service configuration","href":"/knowledgebase/datev-service-configuration"}]}]},"basePath":"","title":"Upload file async - maesn","deploymentId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","buildId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-jJHA3WSo.js","utils-DbZn3Mjn.js","cloneDeep-CnBnaSyy.js","_Uint8Array-CMQtTgBR.js","isObject-FP1Yky1u.js","utils-Bl2DvzOJ.js","addUniqueKeysToSchema-BwOLo9p1.js","snippetPresets-BBiPpKa-.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-C0px4Tml.js","isEqual-zAyttAAO.js","usePlaygroundInputsStore-Dell6dGw.js","shallow-0VKqkSqN.js","getApiPlaygroundDisplay-CP_ctPEB.js","CodeSnippet-5L35ic0s.js","CodeSnippets-DOXbNhJw.js","Page-DRLI_2Ue.js","getPastedJson-VhzT9m2P.js","icon-CD8_AtCO.js","MethodPill-DGgOMftG.js","DuplicateIcon-DZ6A_EtN.js","createIcon-DUl4oM5f.js","DynamicMarkdown-BGHukeRM.js","SectionHeading-ChrEUs8u.js","axios-vUo_bRtp.js","Markdown-Dj-na-_-.js","dist-C5gjFYHe.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-DEBW87tT.js"]}